Subject: [p2p-sip] First steps towards P2P-SIP

From: Richard.Stastny at oefeg.at (Stastny Richard)
Date: Mon Nov 14 10:10:09 2005

I fully agree with Enrico that we need to go forward asap
another round of academic discussion is counterproductive

My take from the meeting was the following:

We need a solution for small networks and one for large networks

The small networks (eg up to 10000 users) have eg the following use
cases:

-SME PBX
- adhoc networks eg for meetings, conferences, buddy groups
and also for disaster theatres, eg to set up an onsite adhoc
communication for rescue teams of different organisations

So why not start with these scenarios and leave the large
networks for later.

Security could be the choice of the network:
eg none
a known key (eg such as a WEP key advertised on-site
similar to the secure IETF)
a centralized administerd solution

In these cases most of the proposed DHT schemes would work

Additional minimum requirements for such networks could be
I must be able to interoperable with client-server SIP networks
and also provide UA that allow to connect normal SIP clients.

I last remark: I would prefer the solution with a separate protocol
for P2P.

Regards
Richard

> -----Original Message-----
> From: [email-masked] [mailto:p2p-sip-
> [email-masked]] On Behalf Of Enrico Marocco
> Sent: Sunday, November 13, 2005 2:42 AM
> To: [email-masked]
> Subject: [p2p-sip] First steps towards P2P-SIP
> 
> Just some thoughts about the recent meeting.
> 
> As Henry suggested, maybe it's time to stop beating about the bush:
p2p
> for rtc is a fact and the longer propretary solutions (_the_
propretary
> solution) arise, the harder it will be for a standard proposal being
> adopted.  Probably the most effective way for proceeding is to
identify
> a few items in a charter list and to focus on them as deliverables:
>  + distributed resource location (and call establishment);
>  + integration with traditional SIP networks;
>  + security.
> 
> Also one of the most crucial issues, as Cullen reported, is security.
> Some aspects of security could, in fact, be harder to provide than
> in traditional centralized networks (e.g. how can we efficently
> assert identities, without a central authority?)
> 
> On the other hand, a very important feature - killer application for
> existing solutions - would be NAT traversal.
> 
> Here is my proposal: why not trying to define a very "best effort"
> core protocol, developing additonal features as separate applications
> and providing an efficient way to find them?  In Henning's and
> Cullen(et al.)'s works on services in sipping wg, there is some good
> stuff which fits well in this domain, IMHO.
> 
> Cheers
> Enrico
> 
> 
> Gruppo Telecom Italia - Direzione e coordinamento di Telecom Italia
S.p.A.
> 
> ====================================================================
> CONFIDENTIALITY NOTICE
> This message and its attachments are addressed solely to the persons
> above and may contain confidential information. If you have received
> the message in error, be informed that any use of the content hereof
> is prohibited. Please return it immediately to the sender and delete
> the message. Should you have any questions, please send an e_mail to
> [email-masked]. Thank you
> ====================================================================
> 
> _______________________________________________
> p2p-sip mailing list
> [email-masked]
> http://lists.cs.columbia.edu/mailman/listinfo/p2p-sip